## codeblocks sf-33d975c

=== src/plugins/astyle/astyle/Makefile ===
# Make file for GCC compiler on Linux or compatible OS
# The license.html file describes the conditions under which this software may be distributed.

# list of source files
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions
JAVAINCS   = -I$(JAVA_HOME)/include
CXX = g++
INSTALL=install -o $(USER) -g $(USER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRC))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRC))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRC))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRC))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRC))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRC))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle-2.06.so
libastyle-2.06.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

shareddebug:  libastyle-2.06d.so
libastyle-2.06d.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastyle-2.06j.so
libastyle-2.06j.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

javadebug:  libastyle-2.06jd.so
libastyle-2.06jd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  $$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== src/sdk/wxscintilla/build/Makefile ===
##############################################################################
## File:        Makefile
## Purpose:     wxScintilla
## Maintainer:  Otto Wyss
## Created:     2004-09-19
## RCS-ID:      $Id$
## Copyright:   (c) 2004 wxCode
## Licence:     wxWindows
##############################################################################

# list of source files
SRC = PlatWX.cpp \
      ScintillaWX.cpp \
      wxscintilla.cpp \
      AutoComplete.cxx \
      CallTip.cxx \
      CellBuffer.cxx \
      CharClassify.cxx \
      ContractionState.cxx \
      Document.cxx \
      DocumentAccessor.cxx \
      Editor.cxx \
      Indicator.cxx \
      KeyMap.cxx \
      KeyWords.cxx \
      LexAda.cxx \
      LexAPDL.cxx \
      LexAsm.cxx \
      LexAsn1.cxx \
      LexAU3.cxx \
      LexAVE.cxx \
      LexBaan.cxx \
      LexBash.cxx \
      LexBasic.cxx \
      LexBibTeX.cxx \
      LexBullant.cxx \
      LexCaml.cxx \
      LexCLW.cxx \
      LexConf.cxx \
      LexCPP.cxx \
      LexCrontab.cxx \
      LexCsound.cxx \
      LexCSS.cxx \
      LexEiffel.cxx \
      LexErlang.cxx \
      LexEScript.cxx \
      LexFlagship.cxx \
      LexForth.cxx \
      LexFortran.cxx \
      LexGui4Cli.cxx \
      LexHaskell.cxx \
      LexHex.cxx \
      LexHTML.cxx \
      LexInno.cxx \
      LexKix.cxx \
      LexLisp.cxx \
      LexLout.cxx \
      LexLua.cxx \
      LexMatlab.cxx \
      LexMetapost.cxx \
      LexMMIXAL.cxx \
      LexMPT.cxx \
      LexMSSQL.cxx \
      LexOpal.cxx \
      LexNsis.cxx \
      LexOthers.cxx \
      LexPascal.cxx \
      LexPB.cxx \
      LexPerl.cxx \
      LexPOV.cxx \
      LexPS.cxx \
      LexPython.cxx \
      LexRebol.cxx \
      LexRuby.cxx \
      LexScriptol.cxx \
      LexSmalltalk.cxx \
      LexSpecman.cxx \
      LexSpice.cxx \
      LexSQL.cxx \
      LexTADS3.cxx \
      LexTCL.cxx \
      LexTeX.cxx \
      LexVB.cxx \
      LexVerilog.cxx \
      LexVHDL.cxx \
      LexYAML.cxx \
      LineMarker.cxx \
      PropSet.cxx \
      RESearch.cxx \
      ScintillaBase.cxx \
      Style.cxx \
      StyleContext.cxx \
      UniConversion.cxx \
      ViewStyle.cxx \
      WindowAccessor.cxx \
      XPM.cxx

# source directories
vpath %.cpp ../src
vpath %.cxx ../src/scintilla/src

# additional header directories
INC = -I../include \
      -I../src/scintilla/include \
      -I../src/scintilla/src

DEF = -D__WX__=1 -DSCI_LEXER -DLINK_LEXERS

# objects
OBJ = $(patsubst %.cxx,%.o,$(SRC:.cpp=.o))

# library
LIB = libwxscintilla


##############################################################################
# implementation, change only if other settings or other targets are needed

ifneq ($(WXDEVEL),)
  WXDEVEL_Release = $(WXDEVEL)/Release/
  WXDEVEL_Debug = $(WXDEVEL)/Debug/
  WXDEVEL_Univ = $(WXDEVEL)/Univ/
endif

ifeq ($(MAKECMDGOALS),)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),release)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),debug)
  WXCONFIG=wxgtkd-2.4-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),develdebug)
  WXCONFIG=$(WXDEVEL_Debug)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif
ifeq ($(MAKECMDGOALS),univdebug)
  WXCONFIG=$(WXDEVEL_Univ)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif

%.o:	%.cpp
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

%.o:	%.cxx
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

all:	$(LIB).so
$(LIB).so:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

release:	$(LIB).a
$(LIB).a:	$(OBJ)
	ar crs ../lib/$@ $^

debug:	$(LIB).so.d
$(LIB).so.d:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

develdebug:	$(LIB).so.dd
$(LIB).so.dd:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

univdebug:	$(LIB).so.ud
$(LIB).so.ud:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

clean:
	rm -f *.o

=== debian/changelog ===
codeblocks (13.12svn10112) unstable; urgency=low

  * New svn revision

 -- Jens Lody <jens@codeblocks.org>  Tue, 31 Dec 2013 20:30:37 +0100

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: Jens Lody <jens@codeblocks.org>
Homepage: http://www.codeblocks.org
Build-Depends: debhelper (>= 7.4.11~)
 , cdbs
 , automake (>= 1.9)
 , libtool (>= 1.4)
 , libwxgtk2.8-dev
 , wx-common
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libgamin-dev
 , libstdc++6-4.3-dev | libstdc++6-4.4-dev | libstdc++6-4.5-dev | libstdc++6-4.6-dev
 , libboost1.40-dev | libboost-dev (>= 1.40)
 , libhunspell-dev
 , libfontconfig1-dev
 , libglib2.0-dev
Standards-Version: 3.9.1

Package: codeblocks
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0 (= ${binary:Version})
 , xterm
Recommends:
 gcc | g++
 , gdb
Suggests:
 libwxgtk2.8-dev
 , wx-common
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
    * Occurrences highlighter
    * Open files list

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< ${binary:Version})
Replaces: codeblocks (<< ${binary:Version})
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' and the
 'libcodeblockso' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libwxsmithlib0 (= ${binary:Version})
 , codeblocks-libwxcontrib0 (= ${binary:Version})
 , codeblocks-contrib-common (= ${source:Version})
Recommends:
 valgrind
 , cppcheck
 , cscope
 , cccc
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Autoversioning
    * BrowseTracker
    * Cccc
    * Code statistics (SLOCs etc)
    * Codesnippets
    * Copy strings
    * CppCheck
    * Cscope
    * DoxyBlocks
    * DragScroll (enhances mouse operations)
    * EditorConfig
    * EditorTweaks
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * FileManager
    * Header fixup
    * Help
    * HexEditor
    * IncrementalSearch
    * Keyboard shortcuts configuration
    * CB koders
    * Library finder
    * MouseSap
    * NassiShneiderman
    * Profiler (based on gprof)
    * ProjectOptionsManipulator
    * Regular expression testbed
    * Reopen last closed editor(s) via menu or hotkey
    * Smartindent plugin (cpp, HDL, Fortran, Lua, Pascal, Python, XML)
    * Spellchecker plugin
    * Symbol table plugin
    * ThreadSearch
    * ToolsPlus
    * Valgrind
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith contrib items
    * wxSmith AUI

Package: codeblocks-libwxcontrib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Description: Code::Blocks shared libraries for wxContribItems
 This package contains the shared libraries for the wxContribItems used by wxSmith .
 Contrib items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxTreeList
    * wxCustomButton
    * wxLED

Package: codeblocks-contrib-common
Architecture: all
Depends: ${misc:Depends}
Breaks: codeblocks-contrib (<< ${binary:Version})
Replaces: codeblocks-contrib (<< ${binary:Version})
Description: common files for the contrib plugins for Code::Blocks IDE
 The contrib plugins extend Code::Blocks functionality.
 This package contains the architecture-independent files of the
 codeblocks-contrib plugins.

Package: codeblocks-contrib-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks-contrib (= ${binary:Version})
 , codeblocks-dbg (= ${binary:Version})
Description: Debugging libraries for the Code::Blocks contrib plugins
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code statistics (SLOCs etc)
    * Copy strings
    * Cscope
    * DoxyBlocks
    * DragScroll (enhances mouse operations)
    * EditorConfig
    * EditorTweaks
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith contrib items
    * wxSmith AUI
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Profiler (based on gprof)
    * ProjectOptionsManipulator
    * Regular expression testbed
    * Reopen last closed editor(s) via menu or hotkey
    * Spellchecker plugin
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck
    * NassiShneiderman
 .
 This package contains the debugging libraries for the 'codeblocks-contrib' package and
 the wxsmith-packages.

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
 , codeblocks-headers (= ${source:Version})
Description: Code::Blocks development libraries (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development libraries for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-headers
Architecture: all
Depends: ${misc:Depends}
 , codeblocks-dev (>= ${source:Version})
 , codeblocks-dev (<< ${source:Version}.1~)
Conflicts: codeblocks-dev (<< ${source:Version})
Description: Code::Blocks development headers (SDK)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development headers for creating plugins
 for the Code::Blocks IDE.

Package: codeblocks-wxcontrib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , codeblocks-libwxcontrib0 (= ${binary:Version})
Description: Code::Blocks development libraries for wxContribItems
 This package contains the development libraries for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development libraries needed to use the wxContribItems in own
 programs.

Package: codeblocks-wxcontrib-headers
Architecture: all
Depends: ${misc:Depends}
 , codeblocks-wxcontrib-dev (>= ${source:Version})
 , codeblocks-wxcontrib-dev (<< ${source:Version}.1~)
Conflicts: codeblocks-wxcontrib-dev (<< ${source:Version})
Description: Code::Blocks development headers for wxContribItems
 This package contains the development headers for the wxContribItems used by wxSmith .
 Items included in this package are:
    * KWIC
    * wxChartCtrl
    * wxFlatNotebook
    * wxImagePanel
    * wxSpeedButton
    * wxCustomButton
    * wxLED
 .
 This package contains the development headers needed to use the wxContribItems in own
 programs.

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is the open-source, cross-platform Integrated Development
 Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB (and CDB for windows platforms)
